AM263Px MCU+ SDK: SIPC_Params Struct Reference

| AM263Px MCU+ SDK 26.00.00 |

Data Fields
SIPC_Params Struct Reference
APIs for SOC Specific Device Drivers » APIs for Secure IPC Notify

## Detailed Description

Parameters used by SIPC_init.

Recommend to call SIPC_Params_init before setting values to this structure

Note
  This structure and call to SIPC_init would be generated by SysConfig.

## Data Fields
uint32_t | numCores
uint32_t | coreIdList [MAX_SEC_CORES_WITH_HSM]
uint16_t | ipcQueue_length
uint16_t | ipcQueue_eleSize_inBytes
uint32_t | ipcQueue_totalSize_inBytes
uintptr_t | tx_SipcQueues [MAX_SEC_CORES_WITH_HSM]
uintptr_t | rx_SipcQueues [MAX_SEC_CORES_WITH_HSM]
uint32_t | secHostCoreId [MAX_SEC_CORES_WITH_HSM - 1U]
uint8_t | intrPriority
uint8_t | interruptConfig_Num

## Field Documentation

## ◆ numCores

uint32_t SIPC_Params::numCores

Number of remote cores participating in IPC, excluding the core on which this API is called.

## ◆ coreIdList

uint32_t SIPC_Params::coreIdList[MAX_SEC_CORES_WITH_HSM]

List of secure cores participating in IPC, excluding the core on which this API is called.

See CSL_CoreID for valid values for this field.

## ◆ ipcQueue_length

uint16_t SIPC_Params::ipcQueue_length

## ◆ ipcQueue_eleSize_inBytes

uint16_t SIPC_Params::ipcQueue_eleSize_inBytes

< Number of elements in IpcQueue

## ◆ ipcQueue_totalSize_inBytes

uint32_t SIPC_Params::ipcQueue_totalSize_inBytes

< size of each element in words

## ◆ tx_SipcQueues

uintptr_t SIPC_Params::tx_SipcQueues[MAX_SEC_CORES_WITH_HSM]

< Total size of IpcQueue List of pointer to the queue locaton which is indexed with secure core index.

## ◆ rx_SipcQueues

uintptr_t SIPC_Params::rx_SipcQueues[MAX_SEC_CORES_WITH_HSM]

## ◆ secHostCoreId

uint32_t SIPC_Params::secHostCoreId[MAX_SEC_CORES_WITH_HSM - 1U]

< to specify the queues thorugh which current core is going to read the message

## ◆ intrPriority

uint8_t SIPC_Params::intrPriority

Interrupt priority

## ◆ interruptConfig_Num

uint8_t SIPC_Params::interruptConfig_Num